Skip to main content
POST
/
2025-07
/
marketing-solutions
/
audience-segments
/
create
/2025-07/marketing-solutions/audience-segments/create
curl --request POST \
  --url https://api.criteo.com/2025-07/marketing-solutions/audience-segments/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "<string>"
    }
  ]
}
'
import requests

url = "https://api.criteo.com/2025-07/marketing-solutions/audience-segments/create"

payload = { "data": [{ "type": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [{type: '<string>'}]})
};

fetch('https://api.criteo.com/2025-07/marketing-solutions/audience-segments/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "behavioral": {
          "country": "<string>",
          "endDate": "2023-11-07T05:31:56Z",
          "startDate": "2023-11-07T05:31:56Z"
        },
        "contactList": {
          "isReadOnly": true
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "inMarket": {
          "brandIds": [
            "<string>"
          ],
          "buyingPower": [],
          "country": "<string>",
          "interestIds": [
            "<string>"
          ],
          "priceRange": []
        },
        "location": {
          "pointsOfInterest": [
            {
              "latitude": 123,
              "longitude": 123,
              "name": "<string>"
            }
          ],
          "radiusInKm": 123
        },
        "lookalike": {
          "seedSegmentId": "<string>",
          "targetSize": 123
        },
        "name": "<string>",
        "prospecting": {
          "daysSinceLastVisitMax": 123,
          "daysSinceLastVisitMin": 123
        },
        "retargeting": {
          "daysSinceLastVisitMax": 123,
          "daysSinceLastVisitMin": 123
        },
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Segment creation parameter

Input to create one or more audience segments.

data
object[]

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only